#
#  Copyright 2023 by C Change Labs Inc. www.c-change-labs.com
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#  This software was developed with support from the Skanska USA,
#  Charles Pankow Foundation, Microsoft Sustainability Fund, Interface, MKA Foundation, and others.
#  Find out more at www.BuildingTransparency.org
#
from enum import StrEnum

ILCD_IDENTIFICATION: tuple[str] = ("ILCD_EPD",)
PDF_ATTACHMENT = "PDF"


class IlcdContactClass(StrEnum):
    """Enumeration of ILCD contact classes."""

    Person = "Persons"
    Company = "Organisations"


class IlcdDatasetType(StrEnum):
    """Enumeration of ILCD datasets."""

    Contacts = "contact data set"
    Sources = "source data set"
    Flows = "flow data set"
    Processes = "process data set"
    UnitGroups = "unit group data set"
    FlowProperty = "flow property data set"


class IlcdTypeOfReview(StrEnum):
    """Enumeration of ILCD review types."""

    DependentInternalReview = "Dependent internal review"
    IndependentInternalReview = "Independent internal review"
    IndependentExternalReview = "Independent external review"
    AccreditedThirdPartyReview = "Accredited third party review"
    IndependentReviewPanel = "Independent review panel"
    NotReviewed = "Not reviewed"
